## org.eclipse.m2m.atl.debug.core
Class AtlBreakpoint

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.model.Breakpoint
              org.eclipse.debug.core.model.LineBreakpoint
                  org.eclipse.m2m.atl.debug.core.AtlBreakpoint

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IBreakpoint, org.eclipse.debug.core.model.ILineBreakpoint

    public class AtlBreakpoint

extends org.eclipse.debug.core.model.LineBreakpoint

ATL breakpoint redefinition.

Field Summary

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Constructor Summary
`AtlBreakpoint()` Create a new ATL Breakpoint.
`AtlBreakpoint(org.eclipse.core.resources.IResource resource, java.lang.String location, int lineNumber, int charStart, int charEnd)` Creates a breakpoint.

Method Summary
`java.lang.String` `getModelIdentifier()`
`protected void` `run(org.eclipse.core.resources.IWorkspaceRunnable wr)` Execute the given workspace runnable.

Methods inherited from class org.eclipse.debug.core.model.LineBreakpoint
`getCharEnd, getCharStart, getLineNumber`

Methods inherited from class org.eclipse.debug.core.model.Breakpoint
`delete, ensureMarker, equals, getMarker, getMarkerRule, getMarkerRule, hashCode, isEnabled, isPersisted, isRegistered, markerExists, run, setAttribute, setAttribute, setAttribute, setAttributes, setAttributes, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### AtlBreakpoint

    public AtlBreakpoint()

  Create a new ATL Breakpoint.

### AtlBreakpoint

    public AtlBreakpoint(org.eclipse.core.resources.IResource resource,
                         java.lang.String location,
                         int lineNumber,
                         int charStart,
                         int charEnd)
                  throws org.eclipse.debug.core.DebugException

  Creates a breakpoint.

  Parameters:
    `resource` - the resource to mark
    `location` - the breakpoint location
    `lineNumber` - the line number
    `charStart` - the start index
    `charEnd` - the end index
  Throws:
    `org.eclipse.debug.core.DebugException`

Method Detail

### getModelIdentifier

    public java.lang.String getModelIdentifier()

  See Also:
    `IBreakpoint.getModelIdentifier()`

### run

    protected void run(org.eclipse.core.resources.IWorkspaceRunnable wr)
                throws org.eclipse.debug.core.DebugException

  Execute the given workspace runnable.

  Parameters:
    `wr` - the workspace runnable
  Throws:
    `org.eclipse.debug.core.DebugException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.